> For the complete documentation index, see [llms.txt](https://docs.videc.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.videc.de/acron-9.3/en/anlagenkonfiguration/prozessanbindung/provider.md).

# Provider

The ACRON Provider is responsible for reading the measured data from the control system/PLC and saving them to the external variables.

A maximum of 98 Providers can be configured for each plant. As each Provider can only record data from one interface, a dedicated Provider must be set up for each control system in the plant from which data are to be imported. For this purpose a large number of [interface drivers](/acron-9.3/en/anlagenkonfiguration/prozessanbindung/provider/providerid/treiberauswahl.md), linking to different control and visualization systems and PLCs, are available. The [external variable](/acron-9.3/en/anlagenkonfiguration/prozessanbindung/provider/providerid/variablengruppe.md#extvar) is assigned to the control system variable by the [identification](/acron-9.3/en/anlagenkonfiguration/prozessanbindung/provider/providerid/variablengruppe/extvar-id.md) of the external variable. This must match the name of the control system variable. Some communication drivers specify a particular syntax. As an alternative to manual creation of the external variables, the can also be imported from the control system. The logged variables can be changed during operation.

The Provider must remain active at all times during the runtime of a plant, otherwise no data will be logged. An icon is displayed on the desktop for each active Provider, also indicating its current status. The associated identification (Provider number) is on-screen as a tooltip above the Provider icon.

The Provider's Info function allows you to:

* view the current value of the process variable,
* view and monitor the communication status,
* View system message of recent days.

#### Provider startup options

Multiple providers can be set for each plant configured in the ACRON Designer, and each provider can be assigned an identification (Provider number).

If you start the ACRON Provider without parameters, it will use the default plant preset in the ACRON Designer. If no plant is defined as the default, the provider uses any random plant.

If you want to run **multiple providers** on a computer, in order to import data from multiple channels, for example, or to log multiple ACRON plants, you must transfer the required parameters on startup.

This is subject to the following call syntax:

|                                                                             |                                 |
| --------------------------------------------------------------------------- | ------------------------------- |
| `ACPROV.EXE` Plant identification Provider identification (Provider number) | Example: `acprov.exe DEMOSTD 1` |

The *plant identification* indicates the plant which the provider is to log.

You only need to enter the *Provider identification (Provider number)* if you want multiple providers to run on **one** plant. This number indicates which of the configured Providers this Provider is to run as, starting from one.

If multiple providers with the same number are running on **one** plant (possibly also on different computers in the network), a redundancy concept can be implemented. As long as the first Provider is successfully collecting data, the second remains inactive. Only when the first Provider is no longer able to collect data does the second Provider attempt to take over the task.

Note

In plant management on the 'Options' tab you can optionally assign a [password](/acron-9.3/en/anlagenverwaltung/register-optionen.md#passwort) which is then requested whenever you exit the program, to prevent it from being closed down unintentionally for example. The password is case-sensitive.

| Icon                             | Explanation                                                                                                                                       |
| -------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------- |
| ![](/files/EPea3Ub1EBt8nrnnZJzw) | **Display of seconds** A startup delay has been configured for the Provider. Logging does not begin until the seconds display has reached zero.   |
| ![](/files/eZgDl9VxBjNX8ozPhe39) | **Sine** The Provider is connected to the control system and is working correctly.                                                                |
| ![](/files/5X9LbhEAPWjlUiDp0sRa) | **Blue square in sine** The Provider is connected to the control system and is working correctly. Data have been recorded (measurement interval). |
| ![](/files/olxyYrUniuMxa662N0Oo) | **Red square in header** The Provider has just recorded an alert.                                                                                 |
| ![](/files/fC4IBCORAjVBYQhPz6pd) | **Black background** The Provider is unable to write data in the specified plant path, or a communication error has occurred.                     |
| ![](/files/rGLBD9vMgoHykodoFz0l) | Closes the Provider                                                                                                                               |
| ![](/files/ofWiVIk0NApP0GQ1zn2C) | Displays [Provider info](/acron-9.3/en/acron_der_anlagenchronist/acron_provider.md#providerinfo)                                                  |
| ![](/files/WXtFVk17rY8Q3fjh4kim) | Displays the remaining hard disk space (between 0% and 100%).                                                                                     |

Note

If the Provider icon is flashing, the Provider has no connection to the control system and is unable to log data.

## Variable group

The variable groups provide a more user-friendly structuring of the external variables. They can be broken down further into subgroups, which is particularly useful in enhancing the clarity of large-scale plant installations.

Variables can be moved within the groups by [drag & drop](/acron-9.3/en/erklaerung_zur_bedienung.md#drag-drop).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.videc.de/acron-9.3/en/anlagenkonfiguration/prozessanbindung/provider.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
